const midiNoteToFrequency = note => {
    return Math.pow(2, ((note - 69) / 12)) * 440;
}

const escalaMaior = [0, 2, 4, 5, 7, 9, 11, 12];

var audioContext = new AudioContext();
var filter = audioContext.createBiquadFilter();

var oscillator = audioContext.createOscillator();
oscillator.connect(audioContext.destination);
oscillator.type = "sawtooth";
oscillator.frequency.value = midiNoteToFrequency(60);
oscillator.start(audioContext.currentTime);
oscillator.stop(audioContext.currentTime + 1);
oscillator.onended = function() {
  oscillator = audioContext.createOscillator();
  oscillator.type = "sawtooth";
  oscillator.frequency.value = midiNoteToFrequency(64);
  oscillator.connect(audioContext.destination);
  oscillator.start(audioContext.currentTime + 1); /*start in
one second*/
oscillator.stop(audioContext.currentTime + 1.533);
};

